Skip to main content
`Ctrl`+`K`

# PEPView

Prints the `PEP` data structure.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPView(PEP pep,PetscViewer viewer)

Collective

## Input Parameters

- pep - the polynomial eigensolver context

- viewer - optional visualization context

## Options Database Key

- -pep_view - calls `PEPView()` at end of `PEPSolve()`

## Notes

The available visualization contexts include

- `PETSC_VIEWER_STDOUT_SELF` - standard output (default)

- `PETSC_VIEWER_STDOUT_WORLD` - synchronized standard output where only the first process opens the file; all other processes send their data to the first one to print

The user can open an alternative visualization context with `PetscViewerASCIIOpen()` to output to a specified file.

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPCreate()`, `PEPViewFromOptions()`, `STView()`

## Level

beginner

## Location

src/pep/interface/pepview.c

## Implementations

PEPView_CISS() in src/pep/impls/ciss/pciss.c
PEPView_JD() in src/pep/impls/jd/pjd.c
PEPView_QArnoldi() in src/pep/impls/krylov/qarnoldi/qarnoldi.c
PEPView_STOAR() in src/pep/impls/krylov/stoar/stoar.c
PEPView_TOAR() in src/pep/impls/krylov/toar/ptoar.c
PEPView_Linear() in src/pep/impls/linear/linear.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages